#########
# Author:        ajb
# Maintainer:    $Author: ajb $
# Created:       2008-07-22
# Last Modified: $Date: 2008-07-22 09:32:47 +0100 (Tue, 22 Jul 2008) $
# Id:            $Id: 10-model-errors_by_nucleotide.t 2432 2008-07-22 08:32:47Z ajb $
# $HeadURL: svn+ssh://intcvs1/repos/svn/new-pipeline-dev/npg-qc/tags/release-2.0/t/10-model-errors_by_nucleotide.t $
#

use strict;
use warnings;
use Test::More tests => 3;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;
use npg_qc::model::run_tile;

our $VERSION = do { my ($r) = q$LastChangedRevision: 2432 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::errors_by_nucleotide');
my $util = t::util->new({fixtures =>1});
{
  my $model = npg_qc::model::errors_by_nucleotide->new({
    util                    => $util,
    id_errors_by_nucleotide => 1,
    id_run_tile             => 1,
  });
  isa_ok($model, 'npg_qc::model::errors_by_nucleotide', '$model');
  isa_ok($model->run_tile(), 'npg_qc::model::run_tile', '$model->run_tile()');
}
